<template>
  <div class="bt-container">
    <div v-if="practiceResult">
      <h2 style="display:inline">{{ currentTeachingClass(classId) ? currentTeachingClass(classId).name : '' }} > {{ practiceResult.lectureName }}</h2>
       <div style="display:inline; float: right;">
        <a href="javascript:history.back();">
          <el-button size="small">{{ $t('BOARD.BACK') }}</el-button>
        </a>
      </div>
      <br />
      <br />
      <p><strong>{{ practiceResult.itemName }}</strong></p>
      <br />
      <div class="basic-info">
        <el-card>
          <el-row>
            <el-col :span="4">도구 유형</el-col>
            <el-col :span="20">문항 > </el-col>
          </el-row>
        </el-card>
      </div>
      <br />
      <br />
      <lecture-practice-result
        v-show="isGrading === false"
        :classId="classId"
        :itemId="itemId"
        resultType="결과보기"
      />
    </div>
  </div>
</template>

<style lang="scss" scoped>
  .choices {
    padding-right: 25px;
    .index {
      color: #888888;
    }
  }
  .basic-info {
    .el-row {
      padding-bottom: 10px;
    }
  }
</style>


<script>
  import { mapActions, mapState } from 'vuex';
  import lectureItemService from '../../services/lectureItemService';

  export default {
    name: 'TeacherClassGradingPractice',
    data() {
      return {
        studentPracticeResult: [],
      };
    },
    computed: {
      ...mapState('grading', [
        'theResult',
        'questionList',
      ]),
      classId() {
        const vm = this;
        return Number.parseInt(vm.$route.params.classId, 10);
      },
      itemId() {
        const vm = this;
        return Number.parseInt(vm.$route.params.itemId, 10);
      },
    },
    async created() {
      const vm = this;
      vm.getClassTotalResult({
        classId: vm.classId,
      });
      const practiceResults = await lectureItemService.getWholeSimilarityScores({
        classId: vm.classId,
      });
      vm.questionList.forEach((x) => {
        const practices = practiceResults.data[x.lectureId];
        // 실습 아이템이 있다면
        if (practices.length !== 0) {
          practices.forEach((y) => {
            if (y.lecture_item_id === vm.itemId) {
              vm.studentPracticeResult.push(y);
            }
          });
        }
      });
    },
    methods: {
      ...mapActions('grading', [
        'getClassTotalResult',
      ]),
      ...mapActions('NNclass', [
        'putScore',
      ]),
      async scoreSubmit(score, id) { // eslint-disable-line
        const vm = this;
        if (score < 0 || score > vm.PracticeResult.score) {
          vm.$notify({
            title: vm.$t('NOTIFY.CHCK_GRADE_RANG'),
            message: '',
            type: 'error',
            duration: 2000,
          });
        }
        /*
        const res = await vm.putScore({ id, score });
        if (res && res.status === 200) {
        }
        */
      },
      onClick(type) {
        const vm = this;
        switch (type) {
          case 'AUTO_GRADE':
            vm.isGrading = true;
            break;
          default: {
            throw new Error(`not defined type ${type}`);
          }
        }
      },
    },
  };
</script>
